---
title: StaticRange.toRange()
slug: Web/API/StaticRange/toRange
tags:
  - API
  - Experimental
  - Method
  - Reference
  - Static Range API
  - StaticRange
  - toRange()
---
<p>{{APIRef("Static Range")}}{{SeeCompatTable}}</p>

<p>The <strong><code>toRange()</code></strong> property of the {{domxref("StaticRange")}} interface converts the <code>StaticRange</code> object to a {{domxref("Range")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>range</em> = <em>staticRange</em>.toRange()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("Range")}} object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Static Range','#dom-staticrange-torange','toRange()')}}</td>
   <td>{{Spec2('Static Range')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.StaticRange.toRange")}}</p>
</div>
